#!/usr/bin/env perl

use strict;
use warnings;
use FindBin;
use lib "$FindBin::Bin/../lib";


# use this block if you don't need middleware, and only have a single target Dancer app to run here
use FlashDebugger;

FlashDebugger->to_app;

use Plack::Builder;

builder {
    enable 'Deflater';
    FlashDebugger->to_app;
}



=begin comment
# use this block if you want to include middleware such as Plack::Middleware::Deflater

use FlashDebugger;
use Plack::Builder;

builder {
    enable 'Deflater';
    FlashDebugger->to_app;
}

=end comment

=cut

=begin comment
# use this block if you want to include middleware such as Plack::Middleware::Deflater

use FlashDebugger;
use FlashDebugger_admin;

builder {
    mount '/'      => FlashDebugger->to_app;
    mount '/admin'      => FlashDebugger_admin->to_app;
}

=end comment

=cut

